Page MenuHomePhabricator

Remove security vandalism of various tasks (2018-06-15)
Closed, ResolvedPublic

Description

Earlier today, @238482n375 vandalized various tasks, including adding the Security tag, which automatically changes the visibility. I’ve tried to revert the changes on all affected tasks that I got notified of, but I don’t have permissions to revert the visibility back to public (and Herald automatically adds back the Security tag if I remove it without changing the policy) on the following tasks:

And the following tasks I can no longer access, therefore I can’t tell if the non-security changes (priority, assignees, board columns…) have already been undone or not.

Event Timeline

Lucas_Werkmeister_WMDE renamed this task from Remove security vandalism of various task to Remove security vandalism of various tasks.Jun 15 2018, 10:16 AM
Lucas_Werkmeister_WMDE created this task.
Vgutierrez closed this task as Resolved.Jun 15 2018, 10:31 AM
Vgutierrez claimed this task.
Vgutierrez triaged this task as Normal priority.
Vgutierrez updated the task description. (Show Details)
Vgutierrez removed a subscriber: 238482n375.
Dzahn reopened this task as Open.Jun 15 2018, 10:39 AM
Cirdan added a subscriber: Cirdan.EditedJun 15 2018, 12:24 PM

Will there be automated reverts of all changes or do we have to fix all affected tasks manually?

These tasks are still affected:

Ltrlg added a subscriber: Ltrlg.Jun 15 2018, 1:23 PM
Aklapper closed this task as Resolved.Jun 15 2018, 2:47 PM

{{done}}

@Aklapper : will some protective measures be taken to prevent this mass vandalism in the future? At least, some throttles should be applied (e. g. for mass adding of "Security" tags and for mass creating of tasks with nonsensical task names).

@Vachovec1: Don't know yet, discussions are ongoing... There is public T84 and another non-public task about it.

Vvjjkkii renamed this task from Remove security vandalism of various tasks to fuaaaaaaaa.Jul 1 2018, 1:03 AM
Vvjjkkii reopened this task as Open.
Vvjjkkii removed Vgutierrez as the assignee of this task.
Vvjjkkii raised the priority of this task from Normal to High.
Vvjjkkii updated the task description. (Show Details)
Vvjjkkii edited subscribers, added: Vgutierrez; removed: Aklapper.
Ciencia_Al_Poder renamed this task from fuaaaaaaaa to Remove security vandalism of various tasks.Jul 1 2018, 5:27 PM
Ciencia_Al_Poder closed this task as Resolved.
Ciencia_Al_Poder assigned this task to Vgutierrez.
Ciencia_Al_Poder lowered the priority of this task from High to Normal.
Ciencia_Al_Poder updated the task description. (Show Details)
Ciencia_Al_Poder edited subscribers, added: 238482n375, Aklapper; removed: Vgutierrez.
Aklapper renamed this task from Remove security vandalism of various tasks to Remove security vandalism of various tasks (2018-06-15).Jul 1 2018, 6:03 PM